# `number` (filter in module `ng` )

Improve this doc

## Description

Formats a number as text.

If the input is not a number an empty string is returned.

## Usage

### In HTML Template Binding

`{{ number_expression | number[:fractionSize] }}`

### In JavaScript

`$filter('number')(number[, fractionSize])`

### Parameters

- `number – {number|string} –`

  Number to format.

- `fractionSize(optional=2) – {(number|string)=} –`

  Number of decimal places to round the number to.

### Returns

`{string}` –

Number rounded to decimalPlaces and places a “,” after each third digit.

## Example

#### Source

#### Demo